org.apache.hc.client5.http.config

## Interface Configurable

All Known Subinterfaces:
  HttpUriRequest

All Known Implementing Classes:
  ConfigurableHttpRequest, HttpDelete, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpTrace, HttpUriRequestBase, SimpleHttpRequest

    public interface Configurable

Configuration interface for HTTP requests.

Since:
  4.3

### Method Summary

Methods
`RequestConfig` `getConfig()` Returns actual request configuration.

### Method Detail

#### getConfig

    RequestConfig getConfig()

Returns actual request configuration.